#include <iostream>

using namespace std;

int main()
{
    string a, b, c;
    getline(cin,a);
    getline(cin,b);
    getline(cin,c);
    string najveci=max(max(max((a+b+c),(a+c+b)),max((b+a+c),(b+c+a))),max((c+a+b),(c+b+a)));
    cout << najveci;
    return 0;
}